OpSkyblock reset!

Posted by Dieu9 months ago
OpSkyblock 1.17 is finally here. You need Minecraft 1.9 or higher to join the new OpSkyblock server (you can't join with 1.8 clients anymore, Minecraft 1.17 is recommended).

Opskyblock reset!

Aside from new crates, a new economy and a lot of 1.17 stuff here a list of most notable changes:
- Custom islands, for all worlds (overworld, nether and end)
- Island Bank
- Biome selector
- The ability to summon mobs with magic!
- Challenges are back :)
- New island control panel and settings (also check me out, likes, visit and promote features)
- We've of course kept Island Fly (now /is fly)
- New Magic Cobblestone generators
- Players can grow trees faster by twerking!